@echo off

set VM_CONFIG=server
set SERVICE_NAME=PartnerConnect

call uninstallScheduler.bat
call setpath.bat

set LOG4J=-Dlog4j.configuration=%PARTNERCONNECT%\system\log4jservice.xml


set INSTALLCMD=

set LOG_DIR=%PARTNERCONNECT%\log

if not exist "%LOG_DIR%" (
    md "%LOG_DIR%"
)


set CLASSPATH=%CP%

set INSTALLCMD=PartnerConnectService ^
 //IS//%SERVICE_NAME% ^
 --DisplayName %SERVICE_NAME% ^
 --Install "%CD%\PartnerConnectService"  ^
 --Startup auto ^
 --Classpath "%CP%" ^
 --JavaHome %JRE_DIR% ^
 --Jvm "%JRE_DIR%\bin\%VM_CONFIG%\jvm.dll" ^
 --JvmMs 64m ^
 --JvmMx 64m ^
 --JvmOptions %LOG4J% ^
 ++JvmOptions "-Djava.security.policy=%PARTNERCONNECT%\system\rmi.policy" ^
 ++JvmOptions %APP_JAVA_OPTS% ^
 ++JvmOptions "%DERBY_SYSTEM_HOME%" ^
 --StartMode jvm ^
 --StartPath %CD% ^
 --StartClass com.hubspan.pcftc.scheduler.PartnerConnectSchedulerService ^
 --StartParams -config ^
 ++StartParams ..\config\PCFTC.ini ^
 --StopMode jvm ^
 --StopClass  com.hubspan.pcftc.scheduler.PartnerConnectSchedulerService ^
 --StopMethod systemExit ^
 --StopParams -config ^
 ++StopParams ..\config\PCFTC.ini ^
 --LogPath "%LOG_DIR%" ^
 --LogPrefix  %SERVICE_NAME% ^
 --LogLevel debug ^
 --StdOutput auto ^
 --StdError auto ^
 --PidFile %SERVICE_NAME%.pid


if not "X%SERVICE_LOGIN_ID%X" == "XX" (
  set INSTALLCMD=%INSTALLCMD% --ServiceUser %SERVICE_LOGIN_ID% --Password %SERVICE_PASSWORD%
)


@rem Uncomment for debugging
@rem *****************************************************************
@rem **
@rem ** BOOT_CLASS_PATH:   %BCP%
@rem **
@rem ** CLASS_PATH:        %CP%
@rem **
@rem ** JRE_DIR:            %JRE_DIR%
@rem **
@rem ** SERVICE_LOGIN_ID:  %SERVICE_LOGIN_ID%
@rem **
@rem ** SERVICE_PASSWORD:  %SERVICE_PASSWORD%
@rem **
@rem ** PARAMETERS:             %PARAMETERS%
@rem **
@rem *****************************************************************