@echo off
setlocal
@rem $Id: shutdownScheduler_test.bat,v 1.5 2016/11/09 18:28:14 seanm Exp $ #

echo . Attempting to Shutdown PartnerConnect Scheduler...
echo . ----------------------------------------------------------
echo .

call setpath.bat

@rem ------------------------------------
@rem Check to see if config was encrypted
@rem ------------------------------------
"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.CheckConfigSecure ../config/PCFTC_test.ini

echo .
echo . PartnerConnect shutting down... This may take a while.
echo .

if errorlevel 1 goto :PASSWORD

:NOPASSWORD
@rem -------------------------------------
@rem Not encrypted config, continue normal
@rem -------------------------------------

"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.scheduler.SchedulerUtil -shutdown -config ../config/PCFTC_test.ini %*

if errorlevel 1 goto PAUSE
goto END

:PASSWORD
@rem -------------------------------------
@rem Encrypted Config, prompt for Password
@rem -------------------------------------

set PCPASS =
..\system\editv32 -m -l 15 -p "Enter Password: " PCPASS

"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.scheduler.SchedulerUtil -shutdown -config ../config/PCFTC_test.ini -password "%PCPASS%" %*


:END

IF [%SERVICE_NAME%] == [] (
    SET SERVICE_NAME=PartnerConnect
)

call net stop %SERVICE_NAME% 2>NUL

endlocal
