@echo off
setlocal
@rem $Id: receive_test.bat,v 1.23 2016/11/09 18:28:13 seanm Exp $ #

call setpath.bat

@rem ------------------------------------
@rem Check to see if config was encrypted
@rem ------------------------------------
"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.CheckConfigSecure ../config/PCFTC_test.ini

if errorlevel 1 goto :PASSWORD

:NOPASSWORD
@rem -------------------------------------
@rem Not encrypted config, continue normal
@rem -------------------------------------

"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.Receive -config ../config/PCFTC_test.ini %*

if errorlevel 1 goto PAUSE
goto END

:PASSWORD
@rem -------------------------------------
@rem Encrypted Config, prompt for Password
@rem -------------------------------------

if not "%1" == "-password" goto prompt

set PCPASS=%2

REM this removes the first two parameters, so we don't send "-password" to the app twice.
shift
shift

goto noprompt

:prompt

set PCPASS =
..\system\editv32 -m -l 15 -p "Enter Password: " PCPASS

if ["%PCPASS%"] == [""] goto emptypw

:noprompt
"%JRE_DIR%\bin\java" -classpath "%CP%" "%LOG4J%" %APP_JAVA_OPTS% "%DERBY_SYSTEM_HOME%" com.hubspan.pcftc.Receive -config ../config/PCFTC_test.ini -password "%PCPASS%" %*

if errorlevel 1 goto PAUSE
goto END


:emptypw
echo Empty password value entered, exiting.
goto end

:PAUSE
pause

:END
endlocal
